#Embedded file name: /Users/versonator/Hudson/live/Projects/AppLive/Resources/MIDI Remote Scripts/APC40/APCSessionComponent.py
import Live
from _Framework.SessionComponent import *
from CustomScrollComponent import CustomScrollComponent

class CustomSessionComponent(SessionComponent):
    """ Special SessionComponent for Scrollable Encoder Red Box' combination mode """

    def __init__(self, num_tracks, num_scenes):
        SessionComponent.__init__(self, num_tracks, num_scenes)
        self._vertical_banking, self._horizontal_banking = self.register_components(CustomScrollComponent(), CustomScrollComponent())

    def set_scene_bank_encoder(self, scene_encoder):
        self._vertical_banking.set_scroll_encoder(scene_encoder)
        #self.set_scene_bank_up_button(up_button)
        #self.set_scene_bank_down_button(down_button)